Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.f90	(revision 5116)
@@ -95,12 +95,12 @@
   ! +  ==================
 
-  integer :: ig, jk, isl
-  real :: mu
-  real :: Tsrf(klonv)               ! surface temperature as extrapolated from soil
-  real :: mug(klonv)                 !hj coef top layers
-  real :: ztherm_i(klonv), zdz2(klonv, -nsol:nsno), z1s
-  real :: pfluxgrd(klonv), pcapcal(klonv), cal(klonv)
-  real :: beta(klonv), dif_grnd(klonv)
-  real :: C_coef(klonv, -nsol:nsno), D_coef(klonv, -nsol:nsno)
+  INTEGER :: ig, jk, isl
+  REAL :: mu
+  REAL :: Tsrf(klonv)               ! surface temperature as extrapolated from soil
+  REAL :: mug(klonv)                 !hj coef top layers
+  REAL :: ztherm_i(klonv), zdz2(klonv, -nsol:nsno), z1s
+  REAL :: pfluxgrd(klonv), pcapcal(klonv), cal(klonv)
+  REAL :: beta(klonv), dif_grnd(klonv)
+  REAL :: C_coef(klonv, -nsol:nsno), D_coef(klonv, -nsol:nsno)
 
   REAL, DIMENSION(klonv) :: zx_mh, zx_nh, zx_oh
@@ -123,5 +123,5 @@
 
 
-  ! write(*,*)'T check'
+  ! WRITE(*,*)'T check'
 
   ! DO  ig = 1,knonv
@@ -196,9 +196,9 @@
   ! IF (knonv>0) THEN
   !  DO ig=1,8
-  !    write(*,*)ig,'sisvat: Tsis ',TsisSV(ig,isnoSV(ig))
-  !    write(*,*)'max-1            ',TsisSV(ig,isnoSV(ig)-1)
-  !    write(*,*)'max-2            ',TsisSV(ig,isnoSV(ig)-2)
-  !    write(*,*)'0                ',TsisSV(ig,0)
-  !!        write(*,*)min(max(isnoSV(ig),0),1),max(1-isnoSV(ig),0)
+  !    WRITE(*,*)ig,'sisvat: Tsis ',TsisSV(ig,isnoSV(ig))
+  !    WRITE(*,*)'max-1            ',TsisSV(ig,isnoSV(ig)-1)
+  !    WRITE(*,*)'max-2            ',TsisSV(ig,isnoSV(ig)-2)
+  !    WRITE(*,*)'0                ',TsisSV(ig,0)
+  !!        WRITE(*,*)min(max(isnoSV(ig),0),1),max(1-isnoSV(ig),0)
   !  ENDDO
   ! END IF
@@ -216,8 +216,8 @@
 
     IF (mug(ig)  <= 0.05) THEN
-      write(*, *)'Attention mu low', mug(ig)
+      WRITE(*, *)'Attention mu low', mug(ig)
     ENDIF
     IF (mug(ig)  >= 0.98) THEN
-      write(*, *)'Attention mu high', mug(ig)
+      WRITE(*, *)'Attention mu high', mug(ig)
     ENDIF
 
@@ -243,5 +243,5 @@
     ENDDO
   ENDDO
-  ! write(*,*)ig,'Tsis',TsisSV(ig,0)
+  ! WRITE(*,*)ig,'Tsis',TsisSV(ig,0)
 
   ! IF (indice == is_sic) THEN
@@ -329,33 +329,33 @@
   DO ig = 1, knonv
     IF (ps__SV(ig)<1.) THEN
-      ! write(*,*)'ig',ig,'ps',ps__SV(ig)
+      ! WRITE(*,*)'ig',ig,'ps',ps__SV(ig)
       ps__SV(ig) = max(ps__SV(ig), 1.e-8)
     ENDIF
     IF (p1l_SV(ig)<1.) THEN
-      ! write(*,*)'ig',ig,'p1l',p1l_SV(ig)
+      ! WRITE(*,*)'ig',ig,'p1l',p1l_SV(ig)
       p1l_SV(ig) = max(p1l_SV(ig), 1.e-8)
     ENDIF
     IF (TaT_SV(ig)<180.) THEN
-      ! write(*,*)'ig',ig,'TaT',TaT_SV(ig)
+      ! WRITE(*,*)'ig',ig,'TaT',TaT_SV(ig)
       TaT_SV(ig) = max(TaT_SV(ig), 180.)
     ENDIF
     IF (QaT_SV(ig)<1.e-8) THEN
-      ! write(*,*)'ig',ig,'QaT',QaT_SV(ig)
+      ! WRITE(*,*)'ig',ig,'QaT',QaT_SV(ig)
       QaT_SV(ig) = max(QaT_SV(ig), 1.e-8)
     ENDIF
     IF (Tsf_SV(ig)<100.) THEN
-      ! write(*,*)'ig',ig,'Tsf',Tsf_SV(ig)
+      ! WRITE(*,*)'ig',ig,'Tsf',Tsf_SV(ig)
       Tsf_SV(ig) = max(Tsf_SV(ig), 180.)
     ENDIF
     IF (Tsf_SV(ig)>500.) THEN
-      ! write(*,*)'ig',ig,'Tsf',Tsf_SV(ig)
+      ! WRITE(*,*)'ig',ig,'Tsf',Tsf_SV(ig)
       Tsf_SV(ig) = min(Tsf_SV(ig), 400.)
     ENDIF
     ! IF (Tsrf(ig).LT.1.) THEN
-    !!          write(*,*)'ig',ig,'Tsrf',Tsrf(ig)
+    !!          WRITE(*,*)'ig',ig,'Tsrf',Tsrf(ig)
     !   Tsrf(ig)=max(Tsrf(ig),TaT_SV(ig)-20.)
     ! ENDIF
     IF (cdH_SV(ig)<1.e-10) THEN
-      ! IF (ig.le.3)   write(*,*)'ig',ig,'cdH',cdH_SV(ig)
+      ! IF (ig.le.3)   WRITE(*,*)'ig',ig,'cdH',cdH_SV(ig)
       cdH_SV(ig) = .5
     ENDIF
@@ -370,5 +370,5 @@
       zx_qs = r2es * FOEEW(Tsf_SV(ig), zdelta) / ps__SV(ig)
       zx_qs = MIN(0.5, zx_qs)
-      !write(*,*)'zcor',retv*zx_qs
+      !WRITE(*,*)'zcor',retv*zx_qs
       zcor = 1. / (1. - retv * zx_qs)
       zx_qs = zx_qs * zcor
@@ -470,3 +470,3 @@
   ENDDO
 
-end subroutine sisvat_ts2
+END SUBROUTINE sisvat_ts2
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90	(revision 5116)
@@ -94,49 +94,49 @@
   ! +  ==================
 
-  integer :: ikl   ,isl   ,jsl   ,ist      !
-  integer :: ist__s,ist__w                 ! Soil/Water  Body Identifier
-  integer :: islsgn                        ! Soil/Snow Surfac.Identifier
-  real :: eps__3                        ! Arbitrary    Low Number
-  real :: etaMid,psiMid                 ! Layer Interface's Humidity
-  real :: mu_eta                        !     Soil thermal Conductivity
-  real :: mu_exp                        ! arg Soil thermal Conductivity
-  real :: mu_min                        ! Min Soil thermal Conductivity
-  real :: mu_max                        ! Max Soil thermal Conductivity
-  real :: mu_sno(knonv),mu_aux          !     Snow thermal Conductivity
-  real :: mu__dz(knonv,-nsol:nsno+1)    ! mu_(eta,sno)   / dz
-  real :: dtC_sv(knonv,-nsol:nsno)      ! dt      / C
-  real :: IRs__D(knonv)                 ! UpwardIR Previous Iter.Contr.
-  real :: dIRsdT(knonv)                 ! UpwardIR           T Derivat.
-  real :: f_HSHL(knonv)                 ! Factor common to HS and HL
-  real :: dRidTs(knonv)                 ! d(Rib)/d(Ts)
-  real :: HS___D(knonv)                 ! Sensible Heat Flux Atm.Contr.
-  real :: f___HL(knonv)                 !
-  real :: HL___D(knonv)                 ! Latent   Heat Flux Atm.Contr.
+  INTEGER :: ikl   ,isl   ,jsl   ,ist      !
+  INTEGER :: ist__s,ist__w                 ! Soil/Water  Body Identifier
+  INTEGER :: islsgn                        ! Soil/Snow Surfac.Identifier
+  REAL :: eps__3                        ! Arbitrary    Low Number
+  REAL :: etaMid,psiMid                 ! Layer Interface's Humidity
+  REAL :: mu_eta                        !     Soil thermal Conductivity
+  REAL :: mu_exp                        ! arg Soil thermal Conductivity
+  REAL :: mu_min                        ! Min Soil thermal Conductivity
+  REAL :: mu_max                        ! Max Soil thermal Conductivity
+  REAL :: mu_sno(knonv),mu_aux          !     Snow thermal Conductivity
+  REAL :: mu__dz(knonv,-nsol:nsno+1)    ! mu_(eta,sno)   / dz
+  REAL :: dtC_sv(knonv,-nsol:nsno)      ! dt      / C
+  REAL :: IRs__D(knonv)                 ! UpwardIR Previous Iter.Contr.
+  REAL :: dIRsdT(knonv)                 ! UpwardIR           T Derivat.
+  REAL :: f_HSHL(knonv)                 ! Factor common to HS and HL
+  REAL :: dRidTs(knonv)                 ! d(Rib)/d(Ts)
+  REAL :: HS___D(knonv)                 ! Sensible Heat Flux Atm.Contr.
+  REAL :: f___HL(knonv)                 !
+  REAL :: HL___D(knonv)                 ! Latent   Heat Flux Atm.Contr.
   REAL :: TSurf0(knonv),dTSurf          ! Previous Surface Temperature
-  real :: qsatsg(knonv) !,den_qs,arg_qs ! Soil   Saturat. Spec. Humidity
-  real :: dqs_dT(knonv)                 ! d(qsatsg)/dTv
-  real :: Psi(   knonv)                 ! 1st Soil Layer Water Potential
-  real :: RHuSol(knonv)                 ! Soil Surface Relative Humidity
-  real :: etaSol                        ! Soil Surface          Humidity
-  real :: d__eta                        ! Soil Surface Humidity Increm.
-  real :: Elem_A,Elem_C                 !   Diagonal Coefficients
-  real :: Diag_A(knonv,-nsol:nsno)      ! A Diagonal
-  real :: Diag_B(knonv,-nsol:nsno)      ! B Diagonal
-  real :: Diag_C(knonv,-nsol:nsno)      ! C Diagonal
-  real :: Term_D(knonv,-nsol:nsno)      !   Independant Term
-  real :: Aux__P(knonv,-nsol:nsno)      ! P Auxiliary Variable
-  real :: Aux__Q(knonv,-nsol:nsno)      ! Q Auxiliary Variable
-  real :: Ts_Min,Ts_Max                 ! Temperature Limits
+  REAL :: qsatsg(knonv) !,den_qs,arg_qs ! Soil   Saturat. Spec. Humidity
+  REAL :: dqs_dT(knonv)                 ! d(qsatsg)/dTv
+  REAL :: Psi(   knonv)                 ! 1st Soil Layer Water Potential
+  REAL :: RHuSol(knonv)                 ! Soil Surface Relative Humidity
+  REAL :: etaSol                        ! Soil Surface          Humidity
+  REAL :: d__eta                        ! Soil Surface Humidity Increm.
+  REAL :: Elem_A,Elem_C                 !   Diagonal Coefficients
+  REAL :: Diag_A(knonv,-nsol:nsno)      ! A Diagonal
+  REAL :: Diag_B(knonv,-nsol:nsno)      ! B Diagonal
+  REAL :: Diag_C(knonv,-nsol:nsno)      ! C Diagonal
+  REAL :: Term_D(knonv,-nsol:nsno)      !   Independant Term
+  REAL :: Aux__P(knonv,-nsol:nsno)      ! P Auxiliary Variable
+  REAL :: Aux__Q(knonv,-nsol:nsno)      ! Q Auxiliary Variable
+  REAL :: Ts_Min,Ts_Max                 ! Temperature Limits
   ! #e1 real      Exist0                        ! Existing Layer Switch
-  real :: psat_wat, psat_ice, sp        ! computation of qsat
-
-  integer :: nt_srf,it_srf,itEuBk          ! HL: Surface Scheme
+  REAL :: psat_wat, psat_ice, sp        ! computation of qsat
+
+  INTEGER :: nt_srf,it_srf,itEuBk          ! HL: Surface Scheme
   parameter(nt_srf=10)                     ! 10 before
-  real :: agpsrf,xgpsrf,dt_srf,dt_ver   !
-  real :: etaBAK(knonv)                 !
-  real :: etaNEW(knonv)                 !
-  real :: etEuBk(knonv)                 !
-  real :: fac_dt(knonv),faceta(knonv)   !
-  real :: PsiArg(knonv),SHuSol(knonv)   !
+  REAL :: agpsrf,xgpsrf,dt_srf,dt_ver   !
+  REAL :: etaBAK(knonv)                 !
+  REAL :: etaNEW(knonv)                 !
+  REAL :: etEuBk(knonv)                 !
+  REAL :: fac_dt(knonv),faceta(knonv)   !
+  REAL :: PsiArg(knonv),SHuSol(knonv)   !
 
 
@@ -436,5 +436,5 @@
             * exp (6827.*(1.         /273.16-1./TsisSV(ikl,isl)))
 
-      if(TsisSV(ikl,isl)<=273.16) then
+      IF(TsisSV(ikl,isl)<=273.16) THEN
         qsatsg(ikl) = 0.622 * psat_ice / (sp - 0.378 * psat_ice)
       else
@@ -466,5 +466,5 @@
         END DO
 
-    if(ist__s==1) then ! to reduce computer time
+    IF(ist__s==1) then ! to reduce computer time
 
     DO it_srf=1,nt_srf                                     !
@@ -615,6 +615,5 @@
       TsisSV(ikl,isl)   = Aux__Q(ikl,isl)  *TsisSV(ikl,isl+1) &
             +TsisSV(ikl,isl)
-      if(isl==0.and.isnoSV(ikl)==0) then
-
+      IF(isl==0.and.isnoSV(ikl)==0) THEN
        TsisSV(ikl,isl)  = min(TaT_SV(ikl)+30,TsisSV(ikl,isl))
        TsisSV(ikl,isl)  = max(TaT_SV(ikl)-30,TsisSV(ikl,isl))
@@ -673,3 +672,3 @@
 
 
-end subroutine sisvat_tso
+END SUBROUTINE sisvat_tso
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_weq.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_weq.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_weq.f90	(revision 5116)
@@ -30,6 +30,6 @@
 
 
-  character(len=6) :: labWEq
-  integer :: istart
+  CHARACTER(LEN=6) :: labWEq
+  INTEGER :: istart
 
   logical :: logWEq
@@ -40,6 +40,6 @@
   ! +  ================
 
-  integer :: ikl   ,isn
-  real :: SnoWEQ,IceWEQ
+  INTEGER :: ikl   ,isn
+  REAL :: SnoWEQ,IceWEQ
 
 
@@ -85,10 +85,10 @@
 
   !!      IF (istart.eq.1)                                              THEN
-  !!        write(45,45)dahost,i___SV(lwriSV(1)),j___SV(lwriSV(1)),
+  !!        WRITE(45,45)dahost,i___SV(lwriSV(1)),j___SV(lwriSV(1)),
   !!     .              n___SV(lwriSV(1))
   !! 45     format(a18,10('-'),'Pt.',3i4,60('-'))
   !!      END IF
 
-  !!      write(45,450) labWEq,IceWEQ,iiceSV(ikl),SnoWEQ
+  !!      WRITE(45,450) labWEq,IceWEQ,iiceSV(ikl),SnoWEQ
   !!     .                    ,IceWEQ+SnoWEQ,isnoSV(ikl)
   !!     .                                  ,drr_SV(ikl)*dt__SV
@@ -102,3 +102,3 @@
 
 
-end subroutine sisvat_weq
+END SUBROUTINE sisvat_weq
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zag.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zag.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zag.f90	(revision 5116)
@@ -63,12 +63,12 @@
   ! +  -----
 
-  integer :: isagrb(knonv)                 ! 2nd Layer History
-  real :: dzagrb(knonv)                 ! 2nd Layer Thickness
-  real :: T_agrb(knonv)                 ! 2nd Layer Temperature
-  real :: roagrb(knonv)                 ! 2nd Layer Density
-  real :: etagrb(knonv)                 ! 2nd Layer Water Content
-  real :: G1agrb(knonv)                 ! 2nd Layer Dendricity/Spher.
-  real :: G2agrb(knonv)                 ! 2nd Layer Sphericity/Size
-  real :: agagrb(knonv)                 ! 2nd Layer Age
+  INTEGER :: isagrb(knonv)                 ! 2nd Layer History
+  REAL :: dzagrb(knonv)                 ! 2nd Layer Thickness
+  REAL :: T_agrb(knonv)                 ! 2nd Layer Temperature
+  REAL :: roagrb(knonv)                 ! 2nd Layer Density
+  REAL :: etagrb(knonv)                 ! 2nd Layer Water Content
+  REAL :: G1agrb(knonv)                 ! 2nd Layer Dendricity/Spher.
+  REAL :: G2agrb(knonv)                 ! 2nd Layer Sphericity/Size
+  REAL :: agagrb(knonv)                 ! 2nd Layer Age
 
 
@@ -76,14 +76,14 @@
   ! +  ------------
 
-  integer :: isagra(knonv)                 ! 1st Layer History
-  real :: WEagra(knonv)                 ! 1st Layer Height    [mm w.e.]
-  real :: Agreg1(knonv)                 ! 1. ===>   Agregates
-  real :: dzagra(knonv)                 ! 1st Layer Thickness
-  real :: T_agra(knonv)                 ! 1st Layer Temperature
-  real :: roagra(knonv)                 ! 1st Layer Density
-  real :: etagra(knonv)                 ! 1st Layer Water Content
-  real :: G1agra(knonv)                 ! 1st Layer Dendricity/Spher.
-  real :: G2agra(knonv)                 ! 1st Layer Sphericity/Size
-  real :: agagra(knonv)                 ! 1st Layer Age
+  INTEGER :: isagra(knonv)                 ! 1st Layer History
+  REAL :: WEagra(knonv)                 ! 1st Layer Height    [mm w.e.]
+  REAL :: Agreg1(knonv)                 ! 1. ===>   Agregates
+  REAL :: dzagra(knonv)                 ! 1st Layer Thickness
+  REAL :: T_agra(knonv)                 ! 1st Layer Temperature
+  REAL :: roagra(knonv)                 ! 1st Layer Density
+  REAL :: etagra(knonv)                 ! 1st Layer Water Content
+  REAL :: G1agra(knonv)                 ! 1st Layer Dendricity/Spher.
+  REAL :: G2agra(knonv)                 ! 1st Layer Sphericity/Size
+  REAL :: agagra(knonv)                 ! 1st Layer Age
 
 
@@ -91,38 +91,38 @@
   ! +  ==================
 
-  integer :: ikl
-  integer :: nh                            ! Averaged    Snow History
-  integer :: nh__OK                        ! 1=>Conserve Snow History
-  real :: rh                            !
-  real :: dz                            ! Thickness
-  real :: dzro_1                        ! Thickness X Density, Lay.1
-  real :: dzro_2                        ! Thickness X Density, Lay.2
-  real :: dzro                          ! Thickness X Density, Aver.
-  real :: ro                            ! Averaged    Density
-  real :: wn                            ! Averaged    Water Content
-  real :: tn                            ! Averaged    Temperature
-  real :: ag                            ! Averaged    Snow Age
-  real :: SameOK                        ! 1. => Same Type of Grains
-  real :: G1same                        ! Averaged G1,  same Grains
-  real :: G2same                        ! Averaged G2,  same Grains
-  real :: typ__1                        ! 1. => Lay1 Type: Dendritic
-  real :: zroNEW                        ! dz X ro, if fresh Snow
-  real :: G1_NEW                        ! G1,      if fresh Snow
-  real :: G2_NEW                        ! G2,      if fresh Snow
-  real :: zroOLD                        ! dz X ro, if old   Snow
-  real :: G1_OLD                        ! G1,      if old   Snow
-  real :: G2_OLD                        ! G2,      if old   Snow
-  real :: SizNEW                        ! Size,    if fresh Snow
-  real :: SphNEW                        ! Spheric.,if fresh Snow
-  real :: SizOLD                        ! Size,    if old   Snow
-  real :: SphOLD                        ! Spheric.,if old   Snow
-  real :: Siz_av                        ! Averaged    Grain Size
-  real :: Sph_av                        ! Averaged    Grain Spher.
-  real :: Den_av                        ! Averaged    Grain Dendr.
-  real :: DendOK                        ! 1. => Average is  Dendr.
-  real :: G1diff                        ! Averaged G1, diff. Grains
-  real :: G2diff                        ! Averaged G2, diff. Grains
-  real :: G1                            ! Averaged G1
-  real :: G2                            ! Averaged G2
+  INTEGER :: ikl
+  INTEGER :: nh                            ! Averaged    Snow History
+  INTEGER :: nh__OK                        ! 1=>Conserve Snow History
+  REAL :: rh                            !
+  REAL :: dz                            ! Thickness
+  REAL :: dzro_1                        ! Thickness X Density, Lay.1
+  REAL :: dzro_2                        ! Thickness X Density, Lay.2
+  REAL :: dzro                          ! Thickness X Density, Aver.
+  REAL :: ro                            ! Averaged    Density
+  REAL :: wn                            ! Averaged    Water Content
+  REAL :: tn                            ! Averaged    Temperature
+  REAL :: ag                            ! Averaged    Snow Age
+  REAL :: SameOK                        ! 1. => Same Type of Grains
+  REAL :: G1same                        ! Averaged G1,  same Grains
+  REAL :: G2same                        ! Averaged G2,  same Grains
+  REAL :: typ__1                        ! 1. => Lay1 Type: Dendritic
+  REAL :: zroNEW                        ! dz X ro, if fresh Snow
+  REAL :: G1_NEW                        ! G1,      if fresh Snow
+  REAL :: G2_NEW                        ! G2,      if fresh Snow
+  REAL :: zroOLD                        ! dz X ro, if old   Snow
+  REAL :: G1_OLD                        ! G1,      if old   Snow
+  REAL :: G2_OLD                        ! G2,      if old   Snow
+  REAL :: SizNEW                        ! Size,    if fresh Snow
+  REAL :: SphNEW                        ! Spheric.,if fresh Snow
+  REAL :: SizOLD                        ! Size,    if old   Snow
+  REAL :: SphOLD                        ! Spheric.,if old   Snow
+  REAL :: Siz_av                        ! Averaged    Grain Size
+  REAL :: Sph_av                        ! Averaged    Grain Spher.
+  REAL :: Den_av                        ! Averaged    Grain Dendr.
+  REAL :: DendOK                        ! 1. => Average is  Dendr.
+  REAL :: G1diff                        ! Averaged G1, diff. Grains
+  REAL :: G2diff                        ! Averaged G2, diff. Grains
+  REAL :: G1                            ! Averaged G1
+  REAL :: G2                            ! Averaged G2
 
 
@@ -236,3 +236,3 @@
 
 
-end subroutine sisvat_zag
+END SUBROUTINE sisvat_zag
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zcr.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zcr.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zcr.f90	(revision 5116)
@@ -49,15 +49,15 @@
   ! +  ==================
   ! +
-  integer :: ikl   ,isn   ,is0   ,is1
-  integer :: isno_1                        ! Switch:  ! Snow Layer over Ice
-  real :: Dtyp_0,Dtyp_1                 ! Snow Grains Difference Measure
-  real :: DenSph                        ! 1. when contiguous spheric
+  INTEGER :: ikl   ,isn   ,is0   ,is1
+  INTEGER :: isno_1                        ! Switch:  ! Snow Layer over Ice
+  REAL :: Dtyp_0,Dtyp_1                 ! Snow Grains Difference Measure
+  REAL :: DenSph                        ! 1. when contiguous spheric
   ! +                                           !     and dendritic  Grains
-  real :: DendOK                        ! 1. when dendritic  Grains
-  real :: dTypMx                        ! Grain Type Differ.
-  real :: dTypSp                        ! Sphericity Weight
-  real :: dTypRo                        ! Density    Weight
-  real :: dTypDi                        ! Grain Diam.Weight
-  real :: dTypHi                        ! History    Weight
+  REAL :: DendOK                        ! 1. when dendritic  Grains
+  REAL :: dTypMx                        ! Grain Type Differ.
+  REAL :: dTypSp                        ! Sphericity Weight
+  REAL :: dTypRo                        ! Density    Weight
+  REAL :: dTypDi                        ! Grain Diam.Weight
+  REAL :: dTypHi                        ! History    Weight
 
 
@@ -173,3 +173,3 @@
   ! +
 
-end subroutine sisvat_zcr
+END SUBROUTINE sisvat_zcr
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90	(revision 5116)
@@ -52,5 +52,5 @@
   use VARxSV
   use VARySV
-  use surface_data, only: ok_zsn_ii
+  use surface_data, ONLY: ok_zsn_ii
 
   IMPLICIT NONE
@@ -60,49 +60,49 @@
   ! +  ==================
 
-  integer :: ikl   ,isn   ,i               !
-
-
-
-
-
-
-  integer :: NLay_s(knonv)                 ! Split Snow Layer         Switch
-  integer :: isagr1(knonv)                 ! 1st     Layer History
-  integer :: isagr2(knonv)                 ! 2nd     Layer History
-  integer :: LstLay                        ! 0 ====> isnoSV = 1
-  integer :: isno_n                        ! Snow Normal.Profile
-  integer :: iice_n                        ! Ice  Normal.Profile
-  integer :: iiceOK                        ! Ice         Switch
-  integer :: icemix                        ! 0 ====> Agregated Snow+Ice=Snow
+  INTEGER :: ikl   ,isn   ,i               !
+
+
+
+
+
+
+  INTEGER :: NLay_s(knonv)                 ! Split Snow Layer         Switch
+  INTEGER :: isagr1(knonv)                 ! 1st     Layer History
+  INTEGER :: isagr2(knonv)                 ! 2nd     Layer History
+  INTEGER :: LstLay                        ! 0 ====> isnoSV = 1
+  INTEGER :: isno_n                        ! Snow Normal.Profile
+  INTEGER :: iice_n                        ! Ice  Normal.Profile
+  INTEGER :: iiceOK                        ! Ice         Switch
+  INTEGER :: icemix                        ! 0 ====> Agregated Snow+Ice=Snow
   ! +                                           ! 1                          Ice
-  integer :: isn1  (knonv)                 ! 1st layer to stagger
-  real :: staggr                        !              stagger  Switch
-
-  real :: WEagre(knonv)                 ! Snow Water Equivalent Thickness
-  real :: dzthin(knonv)                 ! Thickness of the thinest layer
-  real :: OKthin                        ! Swich ON  a  new thinest layer
-  real :: dz_dif                        ! difference from ideal discret.
-  real :: thickL                        ! Thick Layer          Indicator
-  real :: OK_ICE                        ! Swich ON   uppermost Ice Layer
-
-  real :: Agrege(knonv)                 ! 1. when Agregation constrained
-  real :: dzepsi                        ! Min Single Snw Layer Thickness
-  real :: dzxmin                        ! Min Acceptable Layer Thickness
-  real :: dz_min                        ! Min            Layer Thickness
-  real :: dz_max                        ! Max            Layer Thickness
-  real :: dzagr1(knonv)                 ! 1st     Layer Thickness
-  real :: dzagr2(knonv)                 ! 2nd     Layer Thickness
-  real :: T_agr1(knonv)                 ! 1st     Layer Temperature
-  real :: T_agr2(knonv)                 ! 2nd     Layer Temperature
-  real :: roagr1(knonv)                 ! 1st     Layer Density
-  real :: roagr2(knonv)                 ! 2nd     Layer Density
-  real :: etagr1(knonv)                 ! 1st     Layer Water Content
-  real :: etagr2(knonv)                 ! 2nd     Layer Water Content
-  real :: G1agr1(knonv)                 ! 1st     Layer Dendricity/Spher.
-  real :: G1agr2(knonv)                 ! 2nd     Layer Dendricity/Spher.
-  real :: G2agr1(knonv)                 ! 1st     Layer Sphericity/Size
-  real :: G2agr2(knonv)                 ! 2nd     Layer Sphericity/Size
-  real :: agagr1(knonv)                 ! 1st     Layer Age
-  real :: agagr2(knonv)                 ! 2nd     Layer Age
+  INTEGER :: isn1  (knonv)                 ! 1st layer to stagger
+  REAL :: staggr                        !              stagger  Switch
+
+  REAL :: WEagre(knonv)                 ! Snow Water Equivalent Thickness
+  REAL :: dzthin(knonv)                 ! Thickness of the thinest layer
+  REAL :: OKthin                        ! Swich ON  a  new thinest layer
+  REAL :: dz_dif                        ! difference from ideal discret.
+  REAL :: thickL                        ! Thick Layer          Indicator
+  REAL :: OK_ICE                        ! Swich ON   uppermost Ice Layer
+
+  REAL :: Agrege(knonv)                 ! 1. when Agregation constrained
+  REAL :: dzepsi                        ! Min Single Snw Layer Thickness
+  REAL :: dzxmin                        ! Min Acceptable Layer Thickness
+  REAL :: dz_min                        ! Min            Layer Thickness
+  REAL :: dz_max                        ! Max            Layer Thickness
+  REAL :: dzagr1(knonv)                 ! 1st     Layer Thickness
+  REAL :: dzagr2(knonv)                 ! 2nd     Layer Thickness
+  REAL :: T_agr1(knonv)                 ! 1st     Layer Temperature
+  REAL :: T_agr2(knonv)                 ! 2nd     Layer Temperature
+  REAL :: roagr1(knonv)                 ! 1st     Layer Density
+  REAL :: roagr2(knonv)                 ! 2nd     Layer Density
+  REAL :: etagr1(knonv)                 ! 1st     Layer Water Content
+  REAL :: etagr2(knonv)                 ! 2nd     Layer Water Content
+  REAL :: G1agr1(knonv)                 ! 1st     Layer Dendricity/Spher.
+  REAL :: G1agr2(knonv)                 ! 2nd     Layer Dendricity/Spher.
+  REAL :: G2agr1(knonv)                 ! 1st     Layer Sphericity/Size
+  REAL :: G2agr2(knonv)                 ! 2nd     Layer Sphericity/Size
+  REAL :: agagr1(knonv)                 ! 1st     Layer Age
+  REAL :: agagr2(knonv)                 ! 2nd     Layer Age
 
 
@@ -130,8 +130,8 @@
 
     DO ikl=1,knonv
-      if(isnoSV(ikl)<=2)             dz_min=max(0.0050,dz_min)
+      IF(isnoSV(ikl)<=2)             dz_min=max(0.0050,dz_min)
 
                                       dzepsi=0.0015
-      if(ro__SV(ikl,isnoSV(ikl))>920) dzepsi=0.0020
+      IF(ro__SV(ikl,isnoSV(ikl))>920) dzepsi=0.0020
 
       dzthin(ikl) = 0.                              ! Arbitrary unrealistic
@@ -240,5 +240,5 @@
     DO ikl=1,knonv
       isn         =    i_thin(ikl)
-      if(LIndsv(ikl)>0) isn=min(nsno-1,isn) ! cXF
+      IF(LIndsv(ikl)>0) isn=min(nsno-1,isn) ! cXF
       isagr1(ikl) =    istoSV(ikl,isn)
       isagr2(ikl) =    istoSV(ikl,isn+LIndsv(ikl))
@@ -410,5 +410,5 @@
 
     isn=max(1,isnoSV(ikl)-3)
-    if(dzsnSV(ikl,isn)>0.30) then   ! surface layer > 30cm
+    IF(dzsnSV(ikl,isn)>0.30) then   ! surface layer > 30cm
      i_thin(ikl) = isn              ! XF 04/07/2019
      dzthin(ikl) = dzsnSV(ikl,isn)
@@ -416,5 +416,5 @@
 
     isn=max(1,isnoSV(ikl)-2)
-    if(dzsnSV(ikl,isn)>0.10) then   ! surface layer > 10cm
+    IF(dzsnSV(ikl,isn)>0.10) then   ! surface layer > 10cm
      i_thin(ikl) = isn              ! XF 04/07/2019
      dzthin(ikl) = dzsnSV(ikl,isn)
@@ -422,5 +422,5 @@
 
     isn=max(1,isnoSV(ikl)-1)
-    if(dzsnSV(ikl,isn)>0.05) then   ! surface layer > 5cm
+    IF(dzsnSV(ikl,isn)>0.05) then   ! surface layer > 5cm
      i_thin(ikl) = isn              ! XF 04/07/2019
      dzthin(ikl) = dzsnSV(ikl,isn)
@@ -428,5 +428,5 @@
 
     isn=max(1,isnoSV(ikl))
-    if(dzsnSV(ikl,isn)>0.02) then   ! surface layer > 2cm
+    IF(dzsnSV(ikl,isn)>0.02) then   ! surface layer > 2cm
      i_thin(ikl) = isn              ! XF 04/07/2019
      dzthin(ikl) = dzsnSV(ikl,isn)
@@ -572,5 +572,5 @@
     DO ikl=1,knonv
       isn         =    i_thin(ikl)
-      if(LIndsv(ikl)>0) isn=min(isn, nsno-1) !cXF
+      IF(LIndsv(ikl)>0) isn=min(isn, nsno-1) !cXF
       isagr1(ikl) =    istoSV(ikl,isn)
       isagr2(ikl) =    istoSV(ikl,isn+LIndsv(ikl))
@@ -598,8 +598,8 @@
   ! + minimum uppermost layer thickness to guarantee a correct reproduction of the snow
   ! + atmosphere coupling
-    if(dzsnSV(ikl,max(1,isnoSV(ikl)-0))>0.02 .or. & ! surface layers> 2-5-10
+    IF(dzsnSV(ikl,max(1,isnoSV(ikl)-0))>0.02 .or. & ! surface layers> 2-5-10
           dzsnSV(ikl,max(1,isnoSV(ikl)-1))>0.05 .or. & ! XF 04/07/2019
           dzsnSV(ikl,max(1,isnoSV(ikl)-2))>0.10 .or. &
-          dzsnSV(ikl,max(1,isnoSV(ikl)-3))>0.30 )then
+          dzsnSV(ikl,max(1,isnoSV(ikl)-3))>0.30 )THEN
       Agrege(ikl) = min(1, &
             max(0, &
@@ -739,3 +739,3 @@
 
 
-end subroutine sisvat_zsn
+END SUBROUTINE sisvat_zsn
